FROM --platform=linux/amd64 ghcr.io/osgeo/gdal:ubuntu-small-3.8.4

RUN apt-get update && apt-get install -y \
    build-essential \
    cmake \
    git \
    wget \
    sudo 

RUN cd /opt && wget https://go.dev/dl/go1.20.linux-amd64.tar.gz && \
    tar -xvf go1.20.linux-amd64.tar.gz && rm go1.20.linux-amd64.tar.gz
ENV GOROOT="/opt/go" \
    PATH="/opt/go/bin:${PATH}" \
    GOPATH="/build/go"
RUN echo 'export PATH="/opt/go/bin:${PATH}"' >> /root/.bashrc

RUN cd /opt && git clone -b v0.36.1 https://github.com/hybridgroup/gocv.git && \
    cd gocv && \
    make install && \
    cd .. && \
    rm -rf gocv
# WORKDIR /src  
# COPY . .
# RUN cd /sjy01/image-proc && go mod download && make linux
CMD ["/bin/bash", "/src/build/build.sh"]